POST api/pcapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "b6f38874-ed73-4790-8216-667db3e04aac",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "516fe9ea-a6cc-45b4-989a-fac647cd2cd5",
"local_ip": "sample string 7",
"lock_id": "ae3c384d-fc5d-4dd3-af47-34d60912ee90",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "125348aa-5085-46bf-ac8f-b08ffc090af1",
"rights": [
{
"code": "sample string 1",
"id": "6c315ad8-5c2e-47e1-b505-892760ca4693"
},
{
"code": "sample string 1",
"id": "6c315ad8-5c2e-47e1-b505-892760ca4693"
}
],
"site_id": "3374e6a0-3920-43bd-92bb-9b864e365cd3",
"zone_id": "7cb8755c-fc56-479d-ae83-8716507d8a1e"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>b6f38874-ed73-4790-8216-667db3e04aac</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>516fe9ea-a6cc-45b4-989a-fac647cd2cd5</id>
<local_ip>sample string 7</local_ip>
<lock_id>ae3c384d-fc5d-4dd3-af47-34d60912ee90</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>125348aa-5085-46bf-ac8f-b08ffc090af1</pc_type_id>
<rights>
<right>
<ID>6c315ad8-5c2e-47e1-b505-892760ca4693</ID>
<code>sample string 1</code>
</right>
<right>
<ID>6c315ad8-5c2e-47e1-b505-892760ca4693</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>3374e6a0-3920-43bd-92bb-9b864e365cd3</site_id>
<zone_id>7cb8755c-fc56-479d-ae83-8716507d8a1e</zone_id>
</pc>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3dfe5a7f-c2f7-4671-b563-7db3166ba92d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3dfe5a7f-c2f7-4671-b563-7db3166ba92d</guid>